## org.jfree.data.gantt
Interface GanttCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, IntervalCategoryDataset, KeyedValues2D, Values2D

All Known Implementing Classes:
  SlidingGanttCategoryDataset, TaskSeriesCollection

    public interface GanttCategoryDataset

extends IntervalCategoryDataset

An extension of the `IntervalCategoryDataset` interface that adds support for multiple sub-intervals.

Method Summary
`java.lang.Number` `getEndValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the end value of a sub-interval for a given item.
`java.lang.Number` `getEndValue(int row, int column, int subinterval)` Returns the end value of a sub-interval for a given item.
`java.lang.Number` `getPercentComplete(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the percent complete for a given item.
`java.lang.Number` `getPercentComplete(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the percentage complete value of a sub-interval for a given item.
`java.lang.Number` `getPercentComplete(int row, int column)` Returns the percent complete for a given item.
`java.lang.Number` `getPercentComplete(int row, int column, int subinterval)` Returns the percentage complete value of a sub-interval for a given item.
`java.lang.Number` `getStartValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the start value of a sub-interval for a given item.
`java.lang.Number` `getStartValue(int row, int column, int subinterval)` Returns the start value of a sub-interval for a given item.
`int` `getSubIntervalCount(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the number of sub-intervals for a given item.
`int` `getSubIntervalCount(int row, int column)` Returns the number of sub-intervals for a given item.

Methods inherited from interface org.jfree.data.category.IntervalCategoryDataset
`getEndValue, getEndValue, getStartValue, getStartValue`

Methods inherited from interface org.jfree.data.KeyedValues2D
`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getPercentComplete

    java.lang.Number getPercentComplete(int row,
                                        int column)

  Returns the percent complete for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The percent complete.
  See Also:
    `getPercentComplete(Comparable, Comparable)`

### getPercentComplete

    java.lang.Number getPercentComplete(java.lang.Comparable rowKey,
                                        java.lang.Comparable columnKey)

  Returns the percent complete for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The percent complete.
  See Also:
    `getPercentComplete(int, int)`

### getSubIntervalCount

    int getSubIntervalCount(int row,
                            int column)

  Returns the number of sub-intervals for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The sub-interval count.
  See Also:
    `getSubIntervalCount(Comparable, Comparable)`

### getSubIntervalCount

    int getSubIntervalCount(java.lang.Comparable rowKey,
                            java.lang.Comparable columnKey)

  Returns the number of sub-intervals for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The sub-interval count.
  See Also:
    `getSubIntervalCount(int, int)`

### getStartValue

    java.lang.Number getStartValue(int row,
                                   int column,
                                   int subinterval)

  Returns the start value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval index (zero-based).
  Returns:
    The start value (possibly `null`).
  See Also:
    `getEndValue(int, int, int)`

### getStartValue

    java.lang.Number getStartValue(java.lang.Comparable rowKey,
                                   java.lang.Comparable columnKey,
                                   int subinterval)

  Returns the start value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    The start value (possibly `null`).
  See Also:
    `getEndValue(Comparable, Comparable, int)`

### getEndValue

    java.lang.Number getEndValue(int row,
                                 int column,
                                 int subinterval)

  Returns the end value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval.
  Returns:
    The end value (possibly `null`).
  See Also:
    `getStartValue(int, int, int)`

### getEndValue

    java.lang.Number getEndValue(java.lang.Comparable rowKey,
                                 java.lang.Comparable columnKey,
                                 int subinterval)

  Returns the end value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    The end value (possibly `null`).
  See Also:
    `getStartValue(Comparable, Comparable, int)`

### getPercentComplete

    java.lang.Number getPercentComplete(int row,
                                        int column,
                                        int subinterval)

  Returns the percentage complete value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval.
  Returns:
    The percent complete value (possibly `null`).
  See Also:
    `getPercentComplete(Comparable, Comparable, int)`

### getPercentComplete

    java.lang.Number getPercentComplete(java.lang.Comparable rowKey,
                                        java.lang.Comparable columnKey,
                                        int subinterval)

  Returns the percentage complete value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    The percent complete value (possibly `null`).
  See Also:
    `getPercentComplete(int, int, int)`